Subject: bug#21620: tests/mpz/reuse intermittently fails on armhf-linux-gnu

From: Mark H Weaver <[email-masked]>
Date: Thu, 08 Oct 2015 20:53:22 -0400

Andreas Enge <[email-masked]> writes:

> On Wed, Oct 07, 2015 at 10:32:43PM +0200, Ludovic Courtès wrote:
>> Do you think it’s a likely problem?  Andreas, could you try again on
>> your Novena with 2 cores turned off?
>
> I have trouble believing the explanation of overheating. The gmp test
> suite is carried out sequentially (they are not yet using the parallel
> test harness of the autotools). So one could only imagine that the build
> itself was faulty, but should then the test not fail consistently afterwards?
> If I understood correctly, you used one build and ran the same test
> over and over again. On the other hand, since the machine also serves as a
> build machine, it is possible that some other package was built at the same
> time as the tests were carried out, which may have contributed to heating.

Exactly.

FWIW, I looked through my archive of build failure logs, and found that
the same 'reuse' test failed around September 10th on hydra-slave1, the
Novena donated by Steve Sprang.  I know that on a few occasions I forgot
to disable 2/4 cores, and that might have been one of those times.
Actually, right now hydra-slave1 has all 4 cores enabled and it seems to
be doing alright.  I also built 'gmp' again on it with 4 cores, and it
passed the 'reuse' test.  I aborted the build after that test passed,
and left the build directory in /tmp, so we could try running the
'reuse' test repeatedly if desired.

      Mark